=== debian/changelog ===
ros-indigo-moveit-visual-tools (3.0.4-1trusty) trusty; urgency=high

  * Removed stray debug output
  * Improved debugging output for the hideRobot() feature and virtual_joints
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 12 Jan 2016 07:00:00 -0000

ros-indigo-moveit-visual-tools (3.0.3-1trusty) trusty; urgency=high

  * Renamed test to demo
  * New publishTrajectoryLine() function
  * Fix travis
  * Deprecated loadEEMarker() that uses string
  * Formatted code
  * Switched from MOVEIT deprecated to RVIZ_VISUAL_TOOLS deprecated
  * Fixed shared_robot_state to initialize correctly every time
  * Switched to using name_ variables
  * Add error checks to publishTrajectoryLine
  * Added ability for publishTrajectoryLine to clear all previous markers
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 10 Jan 2016 07:00:00 -0000

ros-indigo-moveit-visual-tools (3.0.2-1trusty) trusty; urgency=high

  * Updated README
  * Temp fix missing variable
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 27 Dec 2015 07:00:00 -0000

ros-indigo-moveit-visual-tools (3.0.1-1trusty) trusty; urgency=high

  * catkin lint cleanup
  * Fix travis
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 07:00:00 -0000

ros-indigo-moveit-visual-tools (3.0.0-1trusty) trusty; urgency=high

  * Release 3.0
  * Added travis support
  * fix the how to link a demo img
  * Updated link to Doxygen API description
  * Formatting and better debug output
  * Fix hide robot bug
  * Remove incompatible humanoid function
  * Default color when publishing collision meshes
  * Added error check for bad value
  * API change for removal of shape_tools
  * New publish trajectory line function
  * Remove slash from topic name
  * Removed mute functionality
  * Improved loading efficiency
  * publishContactPoints accepts a color
  * Change topics to default when opening Rviz
  * New publishCollisionMesh() function
  * Changed publishCollisionMesh() API
  * Renamed publishCollisionRectangle to publishCollisionCuboid()
  * Updated rviz_visual_tools API
  * New publishMesh from ROS msg function
  * publishRobotState() for a RobotStateMsg now allows color
  * publishTrajectoryPath() for a ROS msg now requires a RobotState
  * New method for attaching collision objects that does not require a publisher
  * Specify scene name and cleanup logging
  * Fixed error checking for hideRobot() function
  * loadTrajectoryPub() allows custom topic
  * New publishTrajectoryPoints() function
  * New publishContactPoints function
  * New publishTrajectoryPath() function
  * New getRobotModel() function
  * New ability to visualize IK solutions with arbitrary virtual joint
  * API Broken: ability to have different end effectors for different arms, auto EE marker loading
  * Publish collision meshes
  * Added check for virtual joint
  * Fixed which arrow gets published
  * Publish fixed link arrows to show footstep locations
  * Ability to specify robot_state_topic without loading the publisher
  * Contributors: Dave Coleman, Daiki Maekawa, simonschmeisser

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 07:00:00 -0000

ros-indigo-moveit-visual-tools (2.2.0-1trusty) trusty; urgency=high

  * Code cleanup
  * Improved naming
  * Joint model bug fix
  * Improved speed of sending collision objects to Rviz
    Added Manual planning scene update mode
    Ability to apply colors to all collision objects (YAY)
    API: removed removeAllCollisionObjectsPS function
    Removed loadPlanningPub() function
    Removed publishRemoveAllCollisionObjects() function
  * Added backwards compatibile loadCollisionSceneFromFile()
  * New publishCollisionRectangle function
    API: Changed loadCollisionSceneFromFile() to accept a pose instead of x,y
  * Fix for renamed function
  * New publishWorkspaceParameters() function
  * Added ability to publish robot states with color
  * Fixed install method
  * Merge pull request #5 <https://github.com/davetcoleman/moveit_visual_tools/issues/5> from robomakery/feature/fix-collision-objects-test
  * Fixes for missing declarations in collision_objects_test.cpp
  * Refactored how collision ojects are published
    Created new collision objects test and roslaunch file
    Optimized header file
    Removed loadCollisionPub() function
    Fixed publishCollisionFloor
    Added publishCollisionRectangle
  * Contributors: Dave Coleman, Dylan Vaughn

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 07 Jan 2015 07:00:00 -0000

ros-indigo-moveit-visual-tools (2.1.0-1trusty) trusty; urgency=high

  * Fix for upstream change of RvizVisualTools
  * Set animation speed of grasps
  * Fix publishing end effector
  * New publishCollisionObjectMsg() function
  * New getSharedRobotState() accessor function
  * Consolidated publish marker functions
  * Fixed loadEEMarker() to be called more than once
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 31 Oct 2014 06:00:00 -0000

ros-indigo-moveit-visual-tools (2.0.0-1trusty) trusty; urgency=high

  * Updated README
  * API Upgrade Notes
  * Renamed to have 'MoveIt' prefix in class and file name, moved base functionality to rviz_visual_tools
  * Added new publishSphere function and publish_sphere test script
  * Created better test script
  * Better static_id handling for publishText
  * Added mainpage for API docs
  * Enabled colors
  * Improved integer random num generation
  * New publishSpheres functions
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 27 Oct 2014 06:00:00 -0000

ros-indigo-moveit-visual-tools (1.3.0-1trusty) trusty; urgency=high

  * Added new getRandColor() function
  * Added TRANSLUCENT color
  * Added two new publishSphere() functions
  * New convertPointToPose function
  * Reduced sleep timer for starting all publishers from 0.5 seconds to 0.2 seconds

